////////////////////////////////////////////////////////////////////////////////
//
//  IDEUM
//  Copyright 2011-2015 Ideum
//  All Rights Reserved.
//
//  GestureWorks
//
//  File:    HelloSenser.h
//  Authors:  Ideum
//             
//  NOTICE: Ideum permits you to use, modify, and distribute this file only
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

#include "ofMain.h"
#include "GestureWorks.h"
#include "CameraListener.h"
#include "Drawables.h"
#include <math.h>


DWORD LEAP_thread(LPVOID lpdwThreadParam);

class HelloSensor : public ofBaseApp{

	public:
		HelloSensor();

		void setup();
		void update();
		void draw();	
		
		const static std::string window_title;
	private:	
		clock_t last_tick;
		std::unordered_map<long, GWCTutorials::TouchPoint> active_points;

		void handlePointEvents(const std::vector<gwc::PointEvent>& point_events);
};

