#pragma once

#include <unordered_map>
#include "ofMain.h"
#include "Drawables.h"
#include "GestureWorks.h"

class HelloMultitouch : public ofBaseApp{
public:
	HelloMultitouch();

	// openFrameworks overrides
	void setup();
	void update();
	void draw();
		
	const static std::string window_title;
private:
	clock_t last_tick;
	std::unordered_map<long, GWCTutorials::TouchPoint> touch_points;

	void handlePointEvents(const std::vector<gwc::PointEvent>& point_events);
};
